Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
eZ\Publish\Core\Persistence\Cache\ContentTypeHandler Class Reference

ContentType cache. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Cache\ContentTypeHandler:

## Public Member Functions
| createGroup (GroupCreateStruct $struct)
  | { Parameters
  \eZ\Publish\SPI\Persistence\Content\Type\Group\CreateStruct | $group |
Returns \eZ\Publish\SPI\Persistence\Content\Type\Group } More...
| updateGroup (GroupUpdateStruct $struct)
  | { Parameters
  \eZ\Publish\SPI\Persistence\Content\Type\Group\UpdateStruct | $group |
} More...
| deleteGroup ($groupId)
  | { Parameters
  mixed | $groupId |
  Exceptions
} More...
| loadGroup ($groupId)
  | { Parameters
  mixed | $groupId |
  Exceptions
} More...
| loadGroups (array $groupIds)
  | {Return list of unique Content Type Groups, with group id as key.Missing items (NotFound) will be missing from the array and not cause an exception, it's up to calling logic to determine if this should cause exception or not. Parameters
  array | $groupIds |
Returns \eZ\Publish\SPI\Persistence\Content\Type\Group[] } More...
| loadGroupByIdentifier ($identifier)
  | {Loads Type Group by identifier.Legacy note: Uses name for identifier. Parameters
  string | $identifier |
  Exceptions
} More...
| loadAllGroups ()
| { Returns \eZ\Publish\SPI\Persistence\Content\Type\Group[] } More...
| loadContentTypes ($groupId, $status=Type::STATUS_DEFINED)
  | { Parameters
  mixed | $groupId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
Returns \eZ\Publish\SPI\Persistence\Content\Type[] } More...
| loadContentTypeList (array $contentTypeIds)
| Return list of unique Content Types, with type id as key. More...
| load ($typeId, $status=Type::STATUS_DEFINED)
  | {Loads a content type by id and status.Note: This method is responsible of having the Field Definitions of the loaded ContentType sorted by placement. Parameters
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  Exceptions
} More...
| loadByIdentifier ($identifier)
  | {Loads a (defined) content type by identifier.Note: This method is responsible of having the Field Definitions of the loaded ContentType sorted by placement. Parameters
  string | $identifier |
  Exceptions
} More...
| loadByRemoteId ($remoteId)
  | {Loads a (defined) content type by remote id.Note: This method is responsible of having the Field Definitions of the loaded ContentType sorted by placement. Parameters
  mixed | $remoteId |
  Exceptions
} More...
| create (CreateStruct $struct)
| {} More...
| update ($typeId, $status, UpdateStruct $struct)
  | { Parameters
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  \eZ\Publish\SPI\Persistence\Content\Type\UpdateStruct | $contentType |
} More...
| delete ($typeId, $status)
  | { Parameters
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  Exceptions
} More...
| createDraft ($modifierId, $typeId)
  | {Creates a draft of existing defined content type.Updates modified date, sets $modifierId and status to Type::STATUS_DRAFT on the new returned draft. Parameters
  mixed | $modifierId |
  mixed | $contentTypeId |
  Exceptions
} More...
| copy ($userId, $typeId, $status)
  | {Copy a Type incl fields and group-relations from a given status to a new Type with status Type::STATUS_DRAFT.New Content Type will have $userId as creator / modifier, created / modified should be updated, new remoteId created and identifier should be 'copy_of_<originalBaseIdentifier>_<newTypeId>' or another unique string. Parameters
  mixed | $userId |
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  Exceptions
} More...
| unlink ($groupId, $typeId, $status)
  | {Unlink a content type group from a content type. Parameters
  mixed | $groupId |
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  Exceptions
} More...
| link ($groupId, $typeId, $status)
  | {Link a content type group with a content type. Parameters
  mixed | $groupId |
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  Exceptions
} More...
| getFieldDefinition ($id, $status)
  | {Returns field definition for the given field definition id. Exceptions
} More...
| getContentCount ($contentTypeId)
  | {Counts the number of Content instances of the ContentType identified by given $contentTypeId. Parameters
  mixed | $contentTypeId |
Returns int } More...
| addFieldDefinition ($typeId, $status, FieldDefinition $struct)
  | {Adds a new field definition to an existing Type.This method creates a new version of the Type with the $fieldDefinition added. It does not update existing content objects depending on the field (default) values. Parameters
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |
  Returns \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition Exceptions
} More...
| removeFieldDefinition ($typeId, $status, $fieldDefinitionId)
  | {Removes a field definition from an existing Type.This method creates a new version of the Type with the field definition referred to by $fieldDefinitionId removed. It does not update existing content objects depending on the field (default) values. Parameters
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  mixed | $fieldDefinitionId |
  Exceptions
} More...
| updateFieldDefinition ($typeId, $status, FieldDefinition $struct)
  | {This method updates the given $fieldDefinition on a Type.This method creates a new version of the Type with the updated $fieldDefinition. It does not update existing content objects depending on the field (default) values. Parameters
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |
  Exceptions
} More...
| publish ($typeId)
  | {Update content objects.Updates content objects, depending on the changed field definitions.A content type has a state which tells if its content objects yet have been adapted.Flags the content type as updated. Parameters
  mixed | $contentTypeId |
  Exceptions
} More...
| getSearchableFieldMap ()
| {Returns content type, field definition and field type mapping information for search engine usage.Only searchable field definitions will be included in the returned data.Returns an array in the form:`array( "<ContentType identifier>" => array( "<FieldDefinition identifier>" => array( "field_definition_id" => "<FieldDefinition id>", "field_type_identifier" => "<FieldType identifier>", ), ... ), ... )` Returns array } More...
| removeContentTypeTranslation (int $contentTypeId, string $languageCode)
| deleteByUserAndStatus (int $userId, int $status)
Public Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler
| __construct (TransactionAwareAdapterInterface $cache, PersistenceLogger $logger, InMemoryCache $inMemory, PersistenceHandler $persistenceHandler, CacheIdentifierGeneratorInterface $cacheIdentifierGenerator, CacheIdentifierSanitizer $cacheIdentifierSanitizer, LocationPathConverter $locationPathConverter)
| Setups current handler with everything needed. More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler
| __construct (TransactionAwareAdapterInterface $cache, PersistenceLogger $logger, InMemoryCache $inMemory)
| Setups current handler with everything needed. More...
Public Member Functions inherited from eZ\Publish\SPI\Persistence\Content\Type\Handler
| create (CreateStruct $contentType)

## Protected Member Functions
| init ()
| Set callback functions for use in cache retrival. More...
Protected Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler
| getCacheValue ( $id, string $keyPrefix, callable $backendLoader, callable $cacheTagger, callable $cacheIndexes, string $keySuffix='', array $arguments=[])
| Load one cache item from cache and loggs the hits / misses. More...
| getListCacheValue (string $key, callable $backendLoader, callable $cacheTagger, callable $cacheIndexes, callable $listTags=null, array $arguments=[])
| Load list of objects of some type and loggs the hits / misses. More...
| getMultipleCacheValues (array $ids, string $keyPrefix, callable $backendLoader, callable $cacheTagger, callable $cacheIndexes, string $keySuffix='', array $arguments=[])
| Load several cache items from cache and loggs the hits / misses. More...

## Private Attributes
const | TYPE_IDENTIFIER = 'type'
const | TYPE_GROUP_IDENTIFIER = 'type_group'
const | CONTENT_TYPE_IDENTIFIER = 'content_type'
const | CONTENT_TYPE_GROUP_IDENTIFIER = 'content_type_group'
const | CONTENT_TYPE_GROUP_WITH_ID_SUFFIX_IDENTIFIER = 'content_type_group_with_id_suffix'
const | CONTENT_TYPE_GROUP_WITH_BY_REMOTE_SUFFIX_IDENTIFIER = 'content_type_group_with_by_remote_suffix'
const | CONTENT_TYPE_GROUP_LIST_IDENTIFIER = 'content_type_group_list'
const | BY_IDENTIFIER_SUFFIX = 'by_identifier_suffix'
const | CONTENT_TYPE_LIST_BY_GROUP_IDENTIFIER = 'content_type_list_by_group'
const | BY_REMOTE_SUFFIX = 'by_remote_suffix'
const | TYPE_MAP_IDENTIFIER = 'type_map'
const | CONTENT_FIELDS_TYPE_IDENTIFIER = 'content_fields_type'
const | TYPE_WITHOUT_VALUE_IDENTIFIER = 'type_without_value'
const | CONTENT_TYPE_FIELD_MAP_IDENTIFIER = 'content_type_field_map'
| $getGroupTags
| $getGroupKeys
| $getTypeTags
| $getTypeKeys

## Additional Inherited Members
Protected Attributes inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler
| $persistenceHandler
| $cacheIdentifierGenerator
| $cacheIdentifierSanitizer
| $locationPathConverter
Protected Attributes inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler
| $cache
| $logger

## Detailed Description

ContentType cache.

Caches defined (published) content types and content type groups.

See also
  \eZ\Publish\SPI\Persistence\Content\Type\Handler

Definition at line 24 of file ContentTypeHandler.php.

## Member Function Documentation

## ◆ addFieldDefinition()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::addFieldDefinition | ( |  | $typeId,
|  |  | $status,
|  | FieldDefinition | $struct
| ) |  |

{Adds a new field definition to an existing Type.This method creates a new version of the Type with the $fieldDefinition added. It does not update existing content objects depending on the field (default) values.

Parameters

  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |

Returns
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 469 of file ContentTypeHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

## ◆ copy()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::copy | ( |  | $userId,
|  |  | $typeId,
|  |  | $status
| ) |  |

{Copy a Type incl fields and group-relations from a given status to a new Type with status Type::STATUS_DRAFT.New Content Type will have $userId as creator / modifier, created / modified should be updated, new remoteId created and identifier should be 'copy_of_<originalBaseIdentifier>_<newTypeId>' or another unique string.

Parameters

  mixed | $userId |
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 388 of file ContentTypeHandler.php.

## ◆ create()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::create | ( | CreateStruct | $struct | ) |

{}

Definition at line 316 of file ContentTypeHandler.php.

## ◆ createDraft()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::createDraft | ( |  | $modifierId,
|  |  | $typeId
| ) |  |

{Creates a draft of existing defined content type.Updates modified date, sets $modifierId and status to Type::STATUS_DRAFT on the new returned draft.

Parameters

  mixed | $modifierId |
  mixed | $contentTypeId |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 378 of file ContentTypeHandler.php.

## ◆ createGroup()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::createGroup | ( | GroupCreateStruct | $struct | ) |

{

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type\Group\CreateStruct | $group |

Returns
  \eZ\Publish\SPI\Persistence\Content\Type\Group

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 102 of file ContentTypeHandler.php.

## ◆ delete()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::delete | ( |  | $typeId,
|  |  | $status
| ) |  |

{

Parameters

  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 359 of file ContentTypeHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

## ◆ deleteByUserAndStatus()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::deleteByUserAndStatus | ( | int | $userId,
|  | int | $status
| ) |  |

Parameters

  int | $userId |
  int | $status |

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 607 of file ContentTypeHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

## ◆ deleteGroup()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::deleteGroup | ( |  | $groupId | ) |

{

Parameters

  mixed | $groupId |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 136 of file ContentTypeHandler.php.

## ◆ getContentCount()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::getContentCount | ( |  | $contentTypeId | ) |

{Counts the number of Content instances of the ContentType identified by given $contentTypeId.

Parameters

  mixed | $contentTypeId |

Returns
  int

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 459 of file ContentTypeHandler.php.

## ◆ getFieldDefinition()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::getFieldDefinition | ( |  | $id,
|  |  | $status
| ) |  |

{Returns field definition for the given field definition id.

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 449 of file ContentTypeHandler.php.

## ◆ getSearchableFieldMap()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::getSearchableFieldMap | ( |  | ) |

{Returns content type, field definition and field type mapping information for search engine usage.Only searchable field definitions will be included in the returned data.Returns an array in the form:`array( "<ContentType identifier>" => array( "<FieldDefinition identifier>" => array( "field_definition_id" => "<FieldDefinition id>", "field_type_identifier" => "<FieldType identifier>", ), ... ), ... )`

Returns
  array

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 565 of file ContentTypeHandler.php.

References eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getListCacheValue().

## ◆ init()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::init | ( |  | ) |
| protected

Set callback functions for use in cache retrival.

Reimplemented from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler.

Definition at line 56 of file ContentTypeHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

## ◆ link()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::link | ( |  | $groupId,
|  |  | $typeId,
|  |  | $status
| ) |  |

{Link a content type group with a content type.

Parameters

  mixed | $groupId |
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 424 of file ContentTypeHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

## ◆ load()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::load | ( |  | $typeId,
|  |  | $status = `Type::STATUS_DEFINED`
| ) |  |

{Loads a content type by id and status.Note: This method is responsible of having the Field Definitions of the loaded ContentType sorted by placement.

Parameters

  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 256 of file ContentTypeHandler.php.

References eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getTypeKeys, eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getTypeTags, eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getCacheValue(), and eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

Referenced by eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\publish().

## ◆ loadAllGroups()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::loadAllGroups | ( |  | ) |

{

Returns
  \eZ\Publish\SPI\Persistence\Content\Type\Group[]

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 200 of file ContentTypeHandler.php.

References eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getGroupKeys, eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getGroupTags, and eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getListCacheValue().

## ◆ loadByIdentifier()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::loadByIdentifier | ( |  | $identifier | ) |

{Loads a (defined) content type by identifier.Note: This method is responsible of having the Field Definitions of the loaded ContentType sorted by placement.

Parameters

  string | $identifier |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 282 of file ContentTypeHandler.php.

References eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getTypeKeys, eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getTypeTags, and eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getCacheValue().

## ◆ loadByRemoteId()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::loadByRemoteId | ( |  | $remoteId | ) |

{Loads a (defined) content type by remote id.Note: This method is responsible of having the Field Definitions of the loaded ContentType sorted by placement.

Parameters

  mixed | $remoteId |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 299 of file ContentTypeHandler.php.

References eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getTypeKeys, eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getTypeTags, and eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getCacheValue().

## ◆ loadContentTypeList()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::loadContentTypeList | ( | array | $contentTypeIds | ) |

Return list of unique Content Types, with type id as key.

Missing items (NotFound) will be missing from the array and not cause an exception, it's up to calling logic to determine if this should cause exception or not.

Parameters

  array | $contentTypeIds |

Returns
  \eZ\Publish\SPI\Persistence\Content\Type[]

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 240 of file ContentTypeHandler.php.

References eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getTypeKeys, eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getTypeTags, and eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getMultipleCacheValues().

## ◆ loadContentTypes()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::loadContentTypes | ( |  | $groupId,
|  |  | $status = `Type::STATUS_DEFINED`
| ) |  |

{

Parameters

  mixed | $groupId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED

Returns
  \eZ\Publish\SPI\Persistence\Content\Type[]

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 215 of file ContentTypeHandler.php.

References eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getTypeKeys, eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getTypeTags, eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getListCacheValue(), and eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

## ◆ loadGroup()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::loadGroup | ( |  | $groupId | ) |

{

Parameters

  mixed | $groupId |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 151 of file ContentTypeHandler.php.

References eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getGroupKeys, eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getGroupTags, and eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getCacheValue().

## ◆ loadGroupByIdentifier()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::loadGroupByIdentifier | ( |  | $identifier | ) |

{Loads Type Group by identifier.Legacy note: Uses name for identifier.

Parameters

  string | $identifier |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 183 of file ContentTypeHandler.php.

References eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getGroupKeys, eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getGroupTags, and eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getCacheValue().

## ◆ loadGroups()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::loadGroups | ( | array | $groupIds | ) |

{Return list of unique Content Type Groups, with group id as key.Missing items (NotFound) will be missing from the array and not cause an exception, it's up to calling logic to determine if this should cause exception or not.

Parameters

  array | $groupIds |

Returns
  \eZ\Publish\SPI\Persistence\Content\Type\Group[]

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 167 of file ContentTypeHandler.php.

References eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getGroupKeys, eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\$getGroupTags, and eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler\getMultipleCacheValues().

## ◆ publish()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::publish | ( |  | $typeId | ) |

{Update content objects.Updates content objects, depending on the changed field definitions.A content type has a state which tells if its content objects yet have been adapted.Flags the content type as updated.

Parameters

  mixed | $contentTypeId |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 534 of file ContentTypeHandler.php.

References eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\load().

## ◆ removeContentTypeTranslation()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::removeContentTypeTranslation | ( | int | $contentTypeId,
|  | string | $languageCode
| ) |  |

Parameters

  int | $contentTypeId |
  string | $languageCode |

Returns
  \eZ\Publish\SPI\Persistence\Content\Type

Exceptions

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 590 of file ContentTypeHandler.php.

## ◆ removeFieldDefinition()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::removeFieldDefinition | ( |  | $typeId,
|  |  | $status,
|  |  | $fieldDefinitionId
| ) |  |

{Removes a field definition from an existing Type.This method creates a new version of the Type with the field definition referred to by $fieldDefinitionId removed. It does not update existing content objects depending on the field (default) values.

Parameters

  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  mixed | $fieldDefinitionId |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 492 of file ContentTypeHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

## ◆ unlink()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::unlink | ( |  | $groupId,
|  |  | $typeId,
|  |  | $status
| ) |  |

{Unlink a content type group from a content type.

Parameters

  mixed | $groupId |
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 407 of file ContentTypeHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

## ◆ update()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::update | ( |  | $typeId,
|  |  | $status,
|  | UpdateStruct | $struct
| ) |  |

{

Parameters

  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  \eZ\Publish\SPI\Persistence\Content\Type\UpdateStruct | $contentType |

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 340 of file ContentTypeHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

## ◆ updateFieldDefinition()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::updateFieldDefinition | ( |  | $typeId,
|  |  | $status,
|  | FieldDefinition | $struct
| ) |  |

{This method updates the given $fieldDefinition on a Type.This method creates a new version of the Type with the updated $fieldDefinition. It does not update existing content objects depending on the field (default) values.

Parameters

  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 513 of file ContentTypeHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

## ◆ updateGroup()

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::updateGroup | ( | GroupUpdateStruct | $struct | ) |

{

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type\Group\UpdateStruct | $group |

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 115 of file ContentTypeHandler.php.

## Member Data Documentation

## ◆ $getGroupKeys

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::$getGroupKeys
| private

Definition at line 45 of file ContentTypeHandler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadAllGroups(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadGroup(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadGroupByIdentifier(), and eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadGroups().

## ◆ $getGroupTags

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::$getGroupTags
| private

Definition at line 42 of file ContentTypeHandler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadAllGroups(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadGroup(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadGroupByIdentifier(), and eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadGroups().

## ◆ $getTypeKeys

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::$getTypeKeys
| private

Definition at line 51 of file ContentTypeHandler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\load(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadByIdentifier(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadByRemoteId(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadContentTypeList(), and eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadContentTypes().

## ◆ $getTypeTags

eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::$getTypeTags
| private

Definition at line 48 of file ContentTypeHandler.php.

Referenced by eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\load(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadByIdentifier(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadByRemoteId(), eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadContentTypeList(), and eZ\Publish\Core\Persistence\Cache\ContentTypeHandler\loadContentTypes().

## ◆ BY_IDENTIFIER_SUFFIX

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::BY_IDENTIFIER_SUFFIX = 'by_identifier_suffix'
| private

Definition at line 33 of file ContentTypeHandler.php.

## ◆ BY_REMOTE_SUFFIX

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::BY_REMOTE_SUFFIX = 'by_remote_suffix'
| private

Definition at line 35 of file ContentTypeHandler.php.

## ◆ CONTENT_FIELDS_TYPE_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::CONTENT_FIELDS_TYPE_IDENTIFIER = 'content_fields_type'
| private

Definition at line 37 of file ContentTypeHandler.php.

## ◆ CONTENT_TYPE_FIELD_MAP_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::CONTENT_TYPE_FIELD_MAP_IDENTIFIER = 'content_type_field_map'
| private

Definition at line 39 of file ContentTypeHandler.php.

## ◆ CONTENT_TYPE_GROUP_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::CONTENT_TYPE_GROUP_IDENTIFIER = 'content_type_group'
| private

Definition at line 29 of file ContentTypeHandler.php.

## ◆ CONTENT_TYPE_GROUP_LIST_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::CONTENT_TYPE_GROUP_LIST_IDENTIFIER = 'content_type_group_list'
| private

Definition at line 32 of file ContentTypeHandler.php.

## ◆ CONTENT_TYPE_GROUP_WITH_BY_REMOTE_SUFFIX_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::CONTENT_TYPE_GROUP_WITH_BY_REMOTE_SUFFIX_IDENTIFIER = 'content_type_group_with_by_remote_suffix'
| private

Definition at line 31 of file ContentTypeHandler.php.

## ◆ CONTENT_TYPE_GROUP_WITH_ID_SUFFIX_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::CONTENT_TYPE_GROUP_WITH_ID_SUFFIX_IDENTIFIER = 'content_type_group_with_id_suffix'
| private

Definition at line 30 of file ContentTypeHandler.php.

## ◆ CONTENT_TYPE_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::CONTENT_TYPE_IDENTIFIER = 'content_type'
| private

Definition at line 28 of file ContentTypeHandler.php.

## ◆ CONTENT_TYPE_LIST_BY_GROUP_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::CONTENT_TYPE_LIST_BY_GROUP_IDENTIFIER = 'content_type_list_by_group'
| private

Definition at line 34 of file ContentTypeHandler.php.

## ◆ TYPE_GROUP_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::TYPE_GROUP_IDENTIFIER = 'type_group'
| private

Definition at line 27 of file ContentTypeHandler.php.

## ◆ TYPE_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::TYPE_IDENTIFIER = 'type'
| private

Definition at line 26 of file ContentTypeHandler.php.

## ◆ TYPE_MAP_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::TYPE_MAP_IDENTIFIER = 'type_map'
| private

Definition at line 36 of file ContentTypeHandler.php.

## ◆ TYPE_WITHOUT_VALUE_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\ContentTypeHandler::TYPE_WITHOUT_VALUE_IDENTIFIER = 'type_without_value'
| private

Definition at line 38 of file ContentTypeHandler.php.

The documentation for this class was generated from the following file:

- ContentTypeHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.